<?php
    class RegistroLista {
        private $idOrder;            // antes: $idAlumno
        private $fechaRegistro;
        private $nombreCompleto;
        private $telefonoCliente;
        private $cantidadAdultos;
        private $cantidadNinos;
        private $estadoRegistro;
        private $fechaRecepcion;
        private $observacion;

        // Constructor
        public function __construct($nombreCompleto, $telefonoCliente, $cantidadAdultos, $cantidadNinos, $estadoRegistro, $observacion) {
            $this->nombreCompleto = $nombreCompleto;
            $this->telefonoCliente = $telefonoCliente;
            $this->cantidadAdultos = $cantidadAdultos;
            $this->cantidadNinos = $cantidadNinos;
            $this->estadoRegistro = $estadoRegistro;
            $this->observacion = $observacion;
        }

        // Getters y Setters
        public function getIdOrder() { return $this->idOrder; }
        public function setIdOrder($id) { $this->idOrder = $id; }

        public function getFechaRegistro() { return $this->fechaRegistro; }
        public function setFechaRegistro($fecha) { $this->fechaRegistro = $fecha; }

        public function getNombreCompleto() { return $this->nombreCompleto; }
        public function setNombreCompleto($nombre) { $this->nombreCompleto = $nombre; }

        public function getTelefonoCliente() { return $this->telefonoCliente; }
        public function setTelefonoCliente($telefono) { $this->telefonoCliente = $telefono; }

        public function getCantidadAdultos() { return $this->cantidadAdultos; }
        public function setCantidadAdultos($adultos) { $this->cantidadAdultos = $adultos; }

        public function getCantidadNinos() { return $this->cantidadNinos; }
        public function setCantidadNinos($ninos) { $this->cantidadNinos = $ninos; }

        public function getEstadoRegistro() { return $this->estadoRegistro; }
        public function setEstadoRegistro($estado) { $this->estadoRegistro = $estado; }

        public function getFechaRecepcion() { return $this->fechaRecepcion; }
        public function setFechaRecepcion($fecha) { $this->fechaRecepcion = $fecha; }

        public function getObservacion() { return $this->observacion; }
        public function setObservacion($obs) { $this->observacion = $obs; }
    }
?>
